Method: cancelMandate

Initiates cancelling the mandate that was created by a createMandate or asynchronousCreateMandate call.

This cancels the existing mandate on the user's account. The mandateId identifies which mandate is being cancelled. This is the requestId of the createMandate or asynchronousCreateMandate call.

If the mandate has expired or is already cancelled, consider it a successful cancel rather than an error. Therefore, return a success response code.

The requestId within the header is the idempotency key and uniquely identifies this transaction.

If the endpoint encounters an error while processing the request, the response body from this endpoint should be of type ErrorResponse.

An example request looks like:


{
  "requestHeader": {
    "protocolVersion": {
      "major": 2
    },
    "requestId": "bWVyY2hhbnQgdHJhbnNhY3Rpb24gaWQ",
    "requestTimestamp": {
      "epochMillis": "1502220196077"
    },
    "paymentIntegratorAccountId": "InvisiCashIN_INR"
  },
  "mandateId": "G061B00045154"
}

An example response looks like:


{
  "responseHeader": {
    "responseTimestamp": {
      "epochMillis": "1581900013178"
    }
  },
  "result": {
    "success": {}
  }
}

HTTP request

POST https://www.integratorhost.example.com/integrator-base-path/e-wallets-v2/cancelMandate

Request body

The request body contains data with the following structure:

JSON representation
{
  "requestHeader": {
    object (RequestHeader)
  },
  "mandateId": string
}
Fields
requestHeader

object (RequestHeader)

REQUIRED: Common header for all requests.

mandateId

string

REQUIRED: The Google generated ID of the mandate to cancel.

Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an ErrorResponse, consult the ErrorResponse object and HTTP status codes documentation.

Possible response messages
HTTP 200 Status

object (CancelMandateResponse)

HTTP 4XX / 5XX Status

object (ErrorResponse)

End of mutually exclusive fields.

CancelMandateResponse

Response object for the create mandate method.

JSON representation
{
  "responseHeader": {
    object (ResponseHeader)
  },
  "result": {
    object (CancelMandateResult)
  }
}
Fields
responseHeader

object (ResponseHeader)

REQUIRED: Common header for all responses.

result

object (CancelMandateResult)

REQUIRED: Result of this mandate cancellation.

CancelMandateResult

Result codes for cancel mandate.

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "success": {
    object (Empty)
  }
  // End of mutually exclusive fields.
}
Fields
REQUIRED: The result of the cancel mandate. This message should only be used to report a terminal state for mandate cancellation. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
success

object (Empty)

The mandate was successfully cancelled.

End of mutually exclusive fields.